## libdbd-sybase-perl 0.93

=== Makefile ===
# This Makefile is for the DBD::Sybase extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.45 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor])
#
#   MakeMaker Parameters:

#	ABSTRACT => q[DBI driver for Sybase datasources]
#	AUTHOR => q[Michael Peppler (mpeppler@peppler.org)]
#	INC => q[-I/usr/include -I/usr/lib/perl5/auto/DBI]
#	LDDLFLAGS => q[-L/usr/lib -shared -L/usr/local/lib]
#	LDFLAGS => q[-L/usr/lib  -L/usr/local/lib]
#	LIBS => [q[-L/usr/lib -lct -lcs -lsybtcl -lcomn -lintl -ltds -ldl -lm]]
#	LINKTYPE => q[dynamic]
#	MAN3PODS => { Sybase.pm=>q[blib/man3/DBD::Sybase.3] }
#	NAME => q[DBD::Sybase]
#	OBJECT => q[$(O_FILES)]
#	VERSION_FROM => q[Sybase.pm]
#	clean => { FILES=>q[Sybase.xsi] }
#	dist => { COMPRESS=>q[gzip], TARFLAGS=>q[cvf] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.6.1/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -L/usr/lib -shared -L/usr/local/lib
LDFLAGS = -L/usr/lib  -L/usr/local/lib
LIBC = /lib/libc-2.2.3.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.5-ac9
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = DBD::Sybase
DISTNAME = DBD-Sybase
NAME_SYM = DBD_Sybase
VERSION = 0.93
VERSION_SYM = 0_93
XS_VERSION = 0.93
INST_BIN = blib/bin
INST_EXE = blib/script
INST_LIB = blib/lib
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
PREFIX = /usr
SITEPREFIX = $(PREFIX)/local
INSTALLDIRS = vendor
INSTALLPRIVLIB = $(PREFIX)/share/perl/5.6.1
INSTALLARCHLIB = $(PREFIX)/lib/perl/5.6.1
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.6.1
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.6.1
INSTALLVENDORLIB = $(PREFIX)/share/perl5
INSTALLVENDORARCH = $(PREFIX)/lib/perl5
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
INSTALLSITEBIN = $(SITEPREFIX)/bin
PERL_LIB = /usr/share/perl/5.6.1
PERL_ARCHLIB = /usr/lib/perl/5.6.1
SITELIBEXP = /usr/local/share/perl/5.6.1
SITEARCHEXP = /usr/local/lib/perl/5.6.1
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.6.1/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
FULL_AR = /usr/bin/ar

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/share/perl/5.6.1/ExtUtils/MakeMaker.pm
MM_VERSION = 5.45

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = DBD/Sybase
BASEEXT = Sybase
PARENT_NAME = DBD
DLBASE = $(BASEEXT)
VERSION_FROM = Sybase.pm
INC = -I/usr/include -I/usr/lib/perl5/auto/DBI
OBJECT = $(O_FILES)
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= Sybase.xs
C_FILES = Sybase.c \
	dbdimp.c
O_FILES = Sybase.o \
	dbdimp.o
H_FILES = Sybase.h \
	dbdimp.h
HTMLLIBPODS    = 
HTMLSCRIPTPODS = 
MAN1PODS = 
MAN3PODS = Sybase.pm
HTMLEXT = html
INST_MAN1DIR = blib/man1
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
MAN1EXT = 1p
INST_MAN3DIR = blib/man3
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
MAN3EXT = 3pm
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)/DBD
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/DBD

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT    = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = Sybase.pm \
	dbd-sybase.pod

PM_TO_BLIB = Sybase.pm \
	$(INST_LIBDIR)/Sybase.pm \
	dbd-sybase.pod \
	$(INST_LIBDIR)/dbd-sybase.pod


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/share/perl/5.6.1/ExtUtils
XSUBPP = $(XSUBPPDIR)/xsubpp
XSPROTOARG = 
XSUBPPDEPS = $(XSUBPPDIR)/typemap $(XSUBPP)
XSUBPPARGS = -typemap $(XSUBPPDIR)/typemap


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=0

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", $$arg=shift, "|", $$arg, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = gzip
SUFFIX = .gz
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -DDEBIAN -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# DBD::Sybase might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -L/usr/lib -lct -ltds -ldl -lm
LDLOADLIBS = -L/usr/lib -lct -ltds -ldl -lm
BSLOADLIBS = 
LD_RUN_PATH = 


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(INC) $(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.c

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.C

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cc


# --- MakeMaker xs_c section:

.xs.c:
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.c


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all htmlifypods manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

$(O_FILES): $(H_FILES)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \
		-MExtUtils::MakeMaker=Version_check \
		-e "Version_check('$(MM_VERSION)')"


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP = Sybase.bs

# As Mkbootstrap might not write a file (if none is required)
# we use touch to prevent make continually trying to remake it.
# The DynaLoader only reads a non-empty file.
$(BOOTSTRAP): Makefile  $(INST_ARCHAUTODIR)/.exists
	@echo "Running Mkbootstrap for $(NAME) ($(BSLOADLIBS))"
	@$(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" \
		-MExtUtils::Mkbootstrap \
		-e "Mkbootstrap('$(BASEEXT)','$(BSLOADLIBS)');"
	@$(TOUCH) $(BOOTSTRAP)
	$(CHMOD) $(PERM_RW) $@

$(INST_BOOT): $(BOOTSTRAP) $(INST_ARCHAUTODIR)/.exists
	@rm -rf $(INST_BOOT)
	-cp $(BOOTSTRAP) $(INST_BOOT)
	$(CHMOD) $(PERM_RW) $@


# --- MakeMaker dynamic_lib section:

# This section creates the dynamically loadable $(INST_DYNAMIC)

## libdbd-sybase-perl 1.24

=== debian/changelog ===
libdbd-sybase-perl (1.24-3) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Set Homepage.

 -- Bastian Germann <bage@debian.org>  Thu, 30 Jan 2025 22:21:36 +0100

libdbd-sybase-perl (1.24-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer back to Steve, I misread the fact that he was open
    to eventually orphan, not to do it now, sorry for that

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Apr 2024 17:27:48 +0200

libdbd-sybase-perl (1.24-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer as Debian QA, as per maintainer intention to orphan
    the package. Thanks <vorlon> for your work!
  * Drop makefile.patch
  * Refresh patches
  * Std-version to 4.6.2, no changes required.
  * bump compat level to 13
  * Drop old dependencies on perl/dpkg and similar
  * Drop version constraints
  * New upstream release (Closes: #1065789, #1066200,
    Closes: #1036692, #1050248, #706392).
  * Drop dh_auto_configure override
  * Drop cflags append on rules file, it isn't considered on upstream Makefile
  * Set R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Apr 2024 08:03:20 +0200

libdbd-sybase-perl (1.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.  Closes: #1007596.
  * Drop Vcs fields.  Closes: #1031984.

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 14:05:19 +0000

libdbd-sybase-perl (1.14-1) unstable; urgency=low

  * New upstream release.
    - Fix build failure with perl 5.14.  Closes: #629255.

 -- Steve Langasek <vorlon@debian.org>  Fri, 18 Nov 2011 09:28:37 -0800

libdbd-sybase-perl (1.09-3) unstable; urgency=low

  * export DEB_MAINT_CFLAGS_APPEND, so it actually gets picked up.

 -- Steve Langasek <vorlon@debian.org>  Tue, 25 Oct 2011 03:24:47 +0000

libdbd-sybase-perl (1.09-2) unstable; urgency=low

  * Build-depend on the latest and greatest debhelper, which knows how to
    pass OPTIMIZE for us.

 -- Steve Langasek <vorlon@debian.org>  Wed, 05 Oct 2011 20:15:27 +0000

libdbd-sybase-perl (1.09-1) unstable; urgency=low

  * New upstream release.  Closes: #329526.
    - includes upstream fix for handling two sequential prepare()s without
      an execute().  Closes: #269198.
  * dbdimp.c: Add a patch from Raphael Descamps <raphael.descamps@1und1.de>
    to disable BLK_VERSION_* checks if NO_BLK isn't defined.
  * Add debian/watch file.
  * Makefile.PL: if libct isn't found on the filesystem, assume it's
    FreeTDS - fixing a build failure with multiarched freetds.
    Closes: #643502.
  * Switch to dh(1) and debhelper compat 8.
  * Build-depend on libdbi-perl (>= 1.612-1) for dh_perl_dbi, so we get a
    DBI ABI identifier in our package dependencies.  Closes: #577513.
  * Add ${misc:Depends} to make debhelper and lintian happy
  * Set Vcs-Bzr/Vcs-Browser in debian/control.
  * Bump policy-version to 3.9.2.
  * Put the manpage in the right '3pm' section, not '3perl' which is
    apparently meant only for perl itself.

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Sep 2011 17:42:20 +0000

libdbd-sybase-perl (1.00-3) unstable; urgency=low

  * Rebuild against freetds 0.63-1 (closes: #319269).

 -- Steve Langasek <vorlon@debian.org>  Mon,  6 Jun 2005 02:03:42 -0700

libdbd-sybase-perl (1.00-2) unstable; urgency=low

  * Change package section to perl.
  * Add a missing dependency on libdbi-perl (closes: #309546).

 -- Steve Langasek <vorlon@debian.org>  Wed, 25 May 2005 02:33:48 -0700

libdbd-sybase-perl (1.00-1) unstable; urgency=low

  * New upstream release
  * Replace multiline strings with string concatenation and explicit
    newlines, to placate gcc-3.3 (closes: #194229).

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 May 2003 20:54:24 -0500

libdbd-sybase-perl (0.93-4) unstable; urgency=low

  * Rebuild against freetds 0.61 (libct1).
  * Update standards-version to 3.5.8.
  * Move the manpage to section 3perl, per policy.

 -- Steve Langasek <vorlon@debian.org>  Wed,  5 Feb 2003 23:47:09 -0600

libdbd-sybase-perl (0.93-3) unstable; urgency=low

  * Rebuild against new freetds lib package name. Adjust build-dep
    versioning accordingly.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Sep 2002 15:41:23 -0500

libdbd-sybase-perl (0.93-2) unstable; urgency=low

  * Rebuild against perl 5.8.0.

 -- Steve Langasek <vorlon@debian.org>  Sun, 25 Aug 2002 00:32:11 -0500

libdbd-sybase-perl (0.93-1) unstable; urgency=low

  * Initial Release (closes: #121060).

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Nov 2001 23:47:49 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libdbd-sybase-perl
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13), freetds-dev, libdbi-perl
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/mpeppler/DBD-Sybase

Package: libdbd-sybase-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sybase/MS SQL database driver for the DBI module
 DBD::Sybase is a Perl module which works with the DBI module to provide
 access to Sybase and Microsoft SQL databases.

=== debian/rules ===
#!/usr/bin/make -f

export SYBASE=/usr

%:
	dh $@ --with perl_dbi

override_dh_auto_test:

## libdbd-sybase-perl 1.26

=== debian/changelog ===
libdbd-sybase-perl (1.26-2) unstable; urgency=medium

  * Team upload.
  * Replace "--with perl_dbi" (d/rules) with
    dh-sequence-perl-dbi (d/control).
  * Remove <!nocheck> from libdbi-perl, needed for build by Makefile.PL.
  * Add debian/upstream/metadata.
  * autopkgtests: skip smoke test like during build.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Sep 2025 16:26:42 +0200

libdbd-sybase-perl (1.26-1) unstable; urgency=medium

  * Adopt QA maintained package into Perl Group
    Closes: #1093561
  * Fix Homepage
  * Fix watch file
  * Add perl-xs-dev to Build-Depends
    Closes: #1102850
  * Depends: libdbi-perl
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/copyright: review
  * d/rules: hardening options
  * DEP3

 -- Andreas Tille <tille@debian.org>  Mon, 01 Sep 2025 14:51:40 +0200

=== debian/control ===
Source: libdbd-sybase-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends: debhelper-compat (= 13),
               dh-sequence-perl-dbi,
               freetds-dev,
               libdbi-perl,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbd-sybase-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbd-sybase-perl.git
Homepage: https://metacpan.org/release/DBD-Sybase

Package: libdbd-sybase-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         libdbi-perl
Description: Sybase/MS SQL database driver for the DBI module
 DBD::Sybase is a Perl module which works with the DBI module to provide
 access to Sybase and Microsoft SQL databases.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export SYBASE=/usr

%:
	dh $@

override_dh_auto_test:

=== debian/watch ===
version=4
https://metacpan.org/release/DBD-Sybase   .*/DBD-Sybase-v?@ANY_VERSION@@ARCHIVE_EXT@$
